Saves Gusto Payroll
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"gustoPayroll": {
"employee_compensations": [
{
"payment_method": "<string>",
"fixed_compensations": [
{
"amount": "<string>",
"name": "<string>",
"job_uuid": "<string>"
}
],
"hourly_compensations": [
{
"compensation_multiplier": 123,
"job_uuid": "<string>",
"name": "<string>",
"amount": "<string>",
"hours": "<string>"
}
],
"paid_time_off": [
{
"name": "<string>",
"hours": "<string>",
"final_payout_unused_hours_input": "<string>"
}
],
"gross_pay": 123,
"net_pay": 123,
"benefits": [
{
"name": "<string>",
"employee_deduction": 123,
"company_contribution": 123,
"imputed": true
}
]
}
],
"payroll_uuid": "<string>",
"company_uuid": "<string>",
"version": "<string>",
"processed": true,
"processed_date": "2023-11-07T05:31:56Z",
"calculated_at": "2023-11-07T05:31:56Z",
"totals": {
"company_debit": "<string>",
"net_pay_debit": "<string>",
"tax_debit": "<string>",
"reimbursement_debit": "<string>",
"child_support_debit": "<string>",
"reimbursements": "<string>",
"netPay": "<string>",
"gross_pay": "<string>",
"employee_bonuses": "<string>",
"employee_commissions": "<string>",
"employee_cash_tips": "<string>",
"employee_paychecktips": "<string>",
"additional_earnings": "<string>",
"owners_draw": "<string>",
"check_amount": "<string>",
"employer_taxes": "<string>",
"employee_taxes": "<string>",
"benefits": "<string>",
"employee_benefits_deductions": "<string>",
"deferred_payroll_taxes": "<string>"
},
"pay_period": {
"start_date": "<string>",
"end_date": "<string>",
"pay_schedule_uuid": "<string>"
},
"payroll_deadline": "2023-11-07T05:31:56Z",
"check_date": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z"
}
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll"
payload = "{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "gustoPayroll": {\n "employee_compensations": [\n {\n "payment_method": "<string>",\n "fixed_compensations": [\n {\n "amount": "<string>",\n "name": "<string>",\n "job_uuid": "<string>"\n }\n ],\n "hourly_compensations": [\n {\n "compensation_multiplier": 123,\n "job_uuid": "<string>",\n "name": "<string>",\n "amount": "<string>",\n "hours": "<string>"\n }\n ],\n "paid_time_off": [\n {\n "name": "<string>",\n "hours": "<string>",\n "final_payout_unused_hours_input": "<string>"\n }\n ],\n "gross_pay": 123,\n "net_pay": 123,\n "benefits": [\n {\n "name": "<string>",\n "employee_deduction": 123,\n "company_contribution": 123,\n "imputed": true\n }\n ]\n }\n ],\n "payroll_uuid": "<string>",\n "company_uuid": "<string>",\n "version": "<string>",\n "processed": true,\n "processed_date": "2023-11-07T05:31:56Z",\n "calculated_at": "2023-11-07T05:31:56Z",\n "totals": {\n "company_debit": "<string>",\n "net_pay_debit": "<string>",\n "tax_debit": "<string>",\n "reimbursement_debit": "<string>",\n "child_support_debit": "<string>",\n "reimbursements": "<string>",\n "netPay": "<string>",\n "gross_pay": "<string>",\n "employee_bonuses": "<string>",\n "employee_commissions": "<string>",\n "employee_cash_tips": "<string>",\n "employee_paychecktips": "<string>",\n "additional_earnings": "<string>",\n "owners_draw": "<string>",\n "check_amount": "<string>",\n "employer_taxes": "<string>",\n "employee_taxes": "<string>",\n "benefits": "<string>",\n "employee_benefits_deductions": "<string>",\n "deferred_payroll_taxes": "<string>"\n },\n "pay_period": {\n "start_date": "<string>",\n "end_date": "<string>",\n "pay_schedule_uuid": "<string>"\n },\n "payroll_deadline": "2023-11-07T05:31:56Z",\n "check_date": "2023-11-07T05:31:56Z",\n "date": "2023-11-07T05:31:56Z"\n }\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll"
payload := strings.NewReader("{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>",
"type": "ENTITY_UPDATE"
}
}Payroll
Saves Gusto Payroll
Save a Gusto Payroll, for Partners who prefer to push Gusto data directly into the Tight API instead of having the Tight API pull on their behalf.
POST
/
v5
/
payroll
/
gustoPayroll
Saves Gusto Payroll
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"gustoPayroll": {
"employee_compensations": [
{
"payment_method": "<string>",
"fixed_compensations": [
{
"amount": "<string>",
"name": "<string>",
"job_uuid": "<string>"
}
],
"hourly_compensations": [
{
"compensation_multiplier": 123,
"job_uuid": "<string>",
"name": "<string>",
"amount": "<string>",
"hours": "<string>"
}
],
"paid_time_off": [
{
"name": "<string>",
"hours": "<string>",
"final_payout_unused_hours_input": "<string>"
}
],
"gross_pay": 123,
"net_pay": 123,
"benefits": [
{
"name": "<string>",
"employee_deduction": 123,
"company_contribution": 123,
"imputed": true
}
]
}
],
"payroll_uuid": "<string>",
"company_uuid": "<string>",
"version": "<string>",
"processed": true,
"processed_date": "2023-11-07T05:31:56Z",
"calculated_at": "2023-11-07T05:31:56Z",
"totals": {
"company_debit": "<string>",
"net_pay_debit": "<string>",
"tax_debit": "<string>",
"reimbursement_debit": "<string>",
"child_support_debit": "<string>",
"reimbursements": "<string>",
"netPay": "<string>",
"gross_pay": "<string>",
"employee_bonuses": "<string>",
"employee_commissions": "<string>",
"employee_cash_tips": "<string>",
"employee_paychecktips": "<string>",
"additional_earnings": "<string>",
"owners_draw": "<string>",
"check_amount": "<string>",
"employer_taxes": "<string>",
"employee_taxes": "<string>",
"benefits": "<string>",
"employee_benefits_deductions": "<string>",
"deferred_payroll_taxes": "<string>"
},
"pay_period": {
"start_date": "<string>",
"end_date": "<string>",
"pay_schedule_uuid": "<string>"
},
"payroll_deadline": "2023-11-07T05:31:56Z",
"check_date": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z"
}
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll"
payload = "{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "gustoPayroll": {\n "employee_compensations": [\n {\n "payment_method": "<string>",\n "fixed_compensations": [\n {\n "amount": "<string>",\n "name": "<string>",\n "job_uuid": "<string>"\n }\n ],\n "hourly_compensations": [\n {\n "compensation_multiplier": 123,\n "job_uuid": "<string>",\n "name": "<string>",\n "amount": "<string>",\n "hours": "<string>"\n }\n ],\n "paid_time_off": [\n {\n "name": "<string>",\n "hours": "<string>",\n "final_payout_unused_hours_input": "<string>"\n }\n ],\n "gross_pay": 123,\n "net_pay": 123,\n "benefits": [\n {\n "name": "<string>",\n "employee_deduction": 123,\n "company_contribution": 123,\n "imputed": true\n }\n ]\n }\n ],\n "payroll_uuid": "<string>",\n "company_uuid": "<string>",\n "version": "<string>",\n "processed": true,\n "processed_date": "2023-11-07T05:31:56Z",\n "calculated_at": "2023-11-07T05:31:56Z",\n "totals": {\n "company_debit": "<string>",\n "net_pay_debit": "<string>",\n "tax_debit": "<string>",\n "reimbursement_debit": "<string>",\n "child_support_debit": "<string>",\n "reimbursements": "<string>",\n "netPay": "<string>",\n "gross_pay": "<string>",\n "employee_bonuses": "<string>",\n "employee_commissions": "<string>",\n "employee_cash_tips": "<string>",\n "employee_paychecktips": "<string>",\n "additional_earnings": "<string>",\n "owners_draw": "<string>",\n "check_amount": "<string>",\n "employer_taxes": "<string>",\n "employee_taxes": "<string>",\n "benefits": "<string>",\n "employee_benefits_deductions": "<string>",\n "deferred_payroll_taxes": "<string>"\n },\n "pay_period": {\n "start_date": "<string>",\n "end_date": "<string>",\n "pay_schedule_uuid": "<string>"\n },\n "payroll_deadline": "2023-11-07T05:31:56Z",\n "check_date": "2023-11-07T05:31:56Z",\n "date": "2023-11-07T05:31:56Z"\n }\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll"
payload := strings.NewReader("{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"gustoPayroll\": {\n \"employee_compensations\": [\n {\n \"payment_method\": \"<string>\",\n \"fixed_compensations\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"job_uuid\": \"<string>\"\n }\n ],\n \"hourly_compensations\": [\n {\n \"compensation_multiplier\": 123,\n \"job_uuid\": \"<string>\",\n \"name\": \"<string>\",\n \"amount\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ],\n \"paid_time_off\": [\n {\n \"name\": \"<string>\",\n \"hours\": \"<string>\",\n \"final_payout_unused_hours_input\": \"<string>\"\n }\n ],\n \"gross_pay\": 123,\n \"net_pay\": 123,\n \"benefits\": [\n {\n \"name\": \"<string>\",\n \"employee_deduction\": 123,\n \"company_contribution\": 123,\n \"imputed\": true\n }\n ]\n }\n ],\n \"payroll_uuid\": \"<string>\",\n \"company_uuid\": \"<string>\",\n \"version\": \"<string>\",\n \"processed\": true,\n \"processed_date\": \"2023-11-07T05:31:56Z\",\n \"calculated_at\": \"2023-11-07T05:31:56Z\",\n \"totals\": {\n \"company_debit\": \"<string>\",\n \"net_pay_debit\": \"<string>\",\n \"tax_debit\": \"<string>\",\n \"reimbursement_debit\": \"<string>\",\n \"child_support_debit\": \"<string>\",\n \"reimbursements\": \"<string>\",\n \"netPay\": \"<string>\",\n \"gross_pay\": \"<string>\",\n \"employee_bonuses\": \"<string>\",\n \"employee_commissions\": \"<string>\",\n \"employee_cash_tips\": \"<string>\",\n \"employee_paychecktips\": \"<string>\",\n \"additional_earnings\": \"<string>\",\n \"owners_draw\": \"<string>\",\n \"check_amount\": \"<string>\",\n \"employer_taxes\": \"<string>\",\n \"employee_taxes\": \"<string>\",\n \"benefits\": \"<string>\",\n \"employee_benefits_deductions\": \"<string>\",\n \"deferred_payroll_taxes\": \"<string>\"\n },\n \"pay_period\": {\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"pay_schedule_uuid\": \"<string>\"\n },\n \"payroll_deadline\": \"2023-11-07T05:31:56Z\",\n \"check_date\": \"2023-11-07T05:31:56Z\",\n \"date\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>",
"type": "ENTITY_UPDATE"
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowImplicit
- Authorization URL
- /auth/account
Body
*/*
Gusto Payroll data
Response
200 - application/json
Successful operation
Object containing details about result of the action performed